#
# spec file for package libvpd_cxx1 (Version 1.3.5)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db db-devel diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           libvpd_cxx1
Version:        1.3.5
Release:        7.3
Summary:        VPD Database access library for lsvpd
Group:          Development/Libraries/Other
License:        LGPL v2.1 or later
Url:            http://linux-diag.sourceforge.net/Lsvpd.html
Source:         %{name}-%{version}.tar.bz2
Patch0:         libvpd_cxx1.fix-includes.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  db-devel gcc-c++ libtool zlib-devel

%description
The libvpd_cxx package contains the classes that are used to access a
vpd database created by vpdupdate in the lsvpd package.



Authors:
--------
    Eric Munson <ebmunson@us.ibm.com>
    Brad Peters <bpeters@us.ibm.com>

%debug_package
%prep
%setup -q
%patch0 -p1

%build
autoreconf -fi
%configure \
	--prefix=%{_prefix}/ \
	--disable-static
make %{?jobs:-j%jobs}

%clean 
/bin/rm -rf $RPM_BUILD_ROOT

%install
/usr/bin/make install DESTDIR=$RPM_BUILD_ROOT

%post
/sbin/ldconfig 

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/*.so.*

%package devel
License:        LGPL v2.1 or later
Summary:        VPD Database access library for lsvpd
Group:          Development/Languages/C and C++
Requires:       %{name} = %{version}
AutoReqProv:    on

%description devel
The libvpd-devel package contains development libraries and header
files that are used to access a vpd database created by vpdupdate in
the lsvpd package.



Authors:
--------
    Eric Munson <ebmunson@us.ibm.com>
    Brad Peters <bpeters@us.ibm.com>

%files devel
%defattr(-,root,root)
%doc COPYING NEWS README TODO
%exclude %{_libdir}/*.la
%{_includedir}/libvpd-1
%{_libdir}/*.so

%changelog
* Wed Nov 14 2007 - sassmann@suse.de
- initial release of libvpd_cxx 1.3.5
- libvpd_cxx is a library required by lsvpd 1.3.5 (fate #302692)
